Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » Upgrade Eclipse Birt Runtime License From EPL 1.0 To EPL 2.0
Upgrade Eclipse Birt Runtime License From EPL 1.0 To EPL 2.0 [message #1806276] Tue, 07 May 2019 11:01
Mohannad Abusafieh is currently offline Mohannad AbusafiehFriend
Messages: 1
Registered: May 2019
Junior Member
I have a jar file that I am seeking to upgrade its license from EPL 1.0 to EPL 2.0:

org.eclipse.birt.runtime_4.4.2.v20150217-1805.jar

I tried upgrading this Jar, but the latest version of jar still under EPL 1.0 license.

As the BIRT runtime project is an open source project, what I am thinking to do is to modify the BIRT runtime source code and update all file headers and notice files to use EPL 2.0 License instead of 1.0 as was mentioned here "https://www.eclipse.org/legal/epl-2.0/faq.php" section 3.4, is it an acceptable solution?

If there are any other solutions, please provide us.
Previous Topic:Undesired Excel column merging in v4.7
Next Topic:View Report problem
Goto Forum:
  


Current Time: Sun Oct 20 17:09:56 GMT 2019

Powered by FUDForum. Page generated in 0.01378 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top